Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0041233
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] 09. Financial managementminorhave not tried2019-07-02 15:452019-08-22 14:45
ReportershuehnerView Statuspublic 
Assigned Tocollazoandy4 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q4
StatusclosedFix in branchFixed in SCM revision964e7f0228d8
ProjectionnoneETAnoneTarget Version3.0PR19Q4
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToSandrahuguet
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0041233: MatchTransactionDao.getUnmatchedBankStatementLines

DescriptionThis code is not using bind-params

    final StringBuilder whereClause = new StringBuilder();
    whereClause.append(" as bsl ");
    whereClause.append(" where bsl.").append(FIN_BankStatementLine.PROPERTY_BANKSTATEMENT);
    whereClause.append(".").append(FIN_BankStatement.PROPERTY_ACCOUNT).append(".id = '");
    whereClause.append(account.getId()).append("'");
    whereClause.append(" and bsl.")
        .append(FIN_BankStatementLine.PROPERTY_FINANCIALACCOUNTTRANSACTION);
    whereClause.append(" is null");
    whereClause.append(" and bsl.bankStatement.processed = 'Y'");
Steps To Reproduce-
Proposed SolutionWhen fixing please apply new HQL-style to all 6 cases in this file
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0041389 closedcollazoandy4 Apply HQL style guide to MatchTransactionDao 
blocks design defect 0038136 acknowledgedplatform Tracking issue: Find & Fix queries not using bind-params but embedding values into query string 

-  Notes
(0113519)
collazoandy4 (developer)
2019-07-18 14:10

Test Plan
  Go to Financial Account and select Bank Account 1 record
    Create a new record in Imported Bank Statement tab
      Create a new record in Lines tab (with any amount)
    Click on Match Statement and clic OK (First ok button to run algorithm)
      Click on + button select GL Item: Salaries and click on Done button
    Click on Reconcilie All button
(0113779)
hgbot (developer)
2019-08-02 11:56

Repository: erp/devel/pi
Changeset: 964e7f0228d8fbcb1bb48f6723924fda9184d0fa
Author: Armaignac <collazoandy4 <at> gmail.com>
Date: Thu Jul 18 22:37:16 2019 -0400
URL: http://code.openbravo.com/erp/devel/pi/rev/964e7f0228d8fbcb1bb48f6723924fda9184d0fa [^]

Fixes issue 41233: MatchTransactionDao is not using bind-params

Use bind params in HQL queries

---
M modules/org.openbravo.advpaymentmngt/src/org/openbravo/advpaymentmngt/dao/MatchTransactionDao.java
---
(0113781)
Sandrahuguet (developer)
2019-08-02 12:01

code review + testing ok
(0114197)
hudsonbot (developer)
2019-08-22 14:45

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/ad3efd3bd07c [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2019-07-02 15:45 shuehner New Issue
2019-07-02 15:45 shuehner Assigned To => Triage Finance
2019-07-02 15:45 shuehner Modules => Core
2019-07-02 15:45 shuehner Triggers an Emergency Pack => No
2019-07-02 15:46 shuehner Relationship added blocks 0038136
2019-07-04 12:14 shuehner Target Version => 3.0PR19Q4
2019-07-17 16:18 collazoandy4 Assigned To Triage Finance => collazoandy4
2019-07-17 16:18 collazoandy4 Status new => scheduled
2019-07-18 14:10 collazoandy4 Note Added: 0113519
2019-08-02 09:31 Sandrahuguet Relationship added related to 0041389
2019-08-02 11:56 hgbot Checkin
2019-08-02 11:56 hgbot Note Added: 0113779
2019-08-02 11:56 hgbot Status scheduled => resolved
2019-08-02 11:56 hgbot Resolution open => fixed
2019-08-02 11:56 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/964e7f0228d8fbcb1bb48f6723924fda9184d0fa [^]
2019-08-02 12:01 Sandrahuguet Review Assigned To => Sandrahuguet
2019-08-02 12:01 Sandrahuguet Note Added: 0113781
2019-08-02 12:01 Sandrahuguet Status resolved => closed
2019-08-02 12:01 Sandrahuguet Fixed in Version => 3.0PR19Q4
2019-08-22 14:45 hudsonbot Checkin
2019-08-22 14:45 hudsonbot Note Added: 0114197


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker